Anonymous Login
2016-09-27 08:57 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
06841Bug reports[All Projects] Installationpublic2012-11-09 11:22
Reporterquaint 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionno change required 
Product Version2.00+ 
Target VersionFixed in Version 
Summary06841: RootURL not being passed from config.php
DescriptionAdding in rooturl and publicurl information to /application/config/config.php does not appropriately set the root URL for surveys.

Steps To ReproduceI have added the lines

'publicurl' => 'http://surveys.northerndeanery.nhs.uk/pineapple',
'rooturl' => 'http://surveys.northerndeanery.nhs.uk/pineapple'

to /application/config/config.php, however this still results in surveys being listed as, and email invitations referring to the IP address, rather than the domain name of the server.

Additional InformationThe variable "ServerName http://surveys.northerndeanery.nhs.uk:80" has been set in Apache's httpd.conf
Complete LimeSurvey version number (& build)121106
I will donate to the project if issue is resolvedNo
BrowserChrome, IE & Firefox
Database & DB-Versionmysqlnd 5.0.10 - 20111026
Operating System (Server)Windows NT SURVEYS 5.2 build 3790 (Windows Server 2003 R2 Standard Edition Service Pack 2) i586
Webserver software & versionApache/2.2.22 (Win32) PHP/5.4.3 mod_ssl/2.2.22 OpenSSL/0.9.8u
PHP VersionPHP/5.4.3
Attached Files

-Relationships
+Relationships

-Notes

~22026

c_schmitz (administrator)

Where did you get the impression that adding these line would change something like that?

~22040

quaint (reporter)

http://www.limesurvey.org/en/forum/installation-a-update-issues/87371-rooturl

I asked on the forum where the previous value "$rooturl" from the config file had been moved to.

~22041

c_schmitz (administrator)

I see. Please use this advice instead: http://docs.limesurvey.org/Tokens&structure=English+Instructions+for+LimeSurvey#Wrong_domain_in_invitation_reminder_email_link
+Notes

-Issue History
Date Modified Username Field Change
2012-11-08 18:33 quaint New Issue
2012-11-08 18:33 quaint File Added: screengrab rooturl.png
2012-11-08 20:27 c_schmitz Note Added: 22026
2012-11-08 20:27 c_schmitz Assigned To => c_schmitz
2012-11-08 20:27 c_schmitz Status new => feedback
2012-11-09 11:16 quaint Note Added: 22040
2012-11-09 11:16 quaint Status feedback => assigned
2012-11-09 11:22 c_schmitz Note Added: 22041
2012-11-09 11:22 c_schmitz Status assigned => resolved
2012-11-09 11:22 c_schmitz Resolution open => no change required
2012-11-09 11:22 c_schmitz Status resolved => closed
+Issue History